# Class: YARD::Server::WebrickServlet

Inherits:
  WEBrick::HTTPServlet::AbstractServlet
  - Object
  - WEBrick::HTTPServlet::AbstractServlet
  - YARD::Server::WebrickServlet
  show all

Defined in:
  lib/yard/server/webrick_adapter.rb

## Overview

The main WEBrick servlet implementation, accepting only GET requests.

Since:

- 0.6.0

## Instance Attribute Summary collapse

- #adapter ⇒ Object

## Instance Method Summary collapse

- #initialize(server, adapter) ⇒ WebrickServlet constructor

  A new instance of WebrickServlet.

## Constructor Details

### #initialize(server, adapter) ⇒ `WebrickServlet`

Returns a new instance of WebrickServlet.

Since:

- 0.6.0

    23
    24
    25
    26

    # File 'lib/yard/server/webrick_adapter.rb', line 23

    def initialize(server, adapter)
      super
      self.adapter = adapter
    end

## Instance Attribute Details

### #adapter ⇒ `Object`

Since:

- 0.6.0

    21
    22
    23

    # File 'lib/yard/server/webrick_adapter.rb', line 21

    def adapter
      @adapter
    end